Create a Transfer Group
curl --request POST \
--url https://api-sandbox.orum.io/deliver/transfer-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"transfer_group_reference_id": "<string>",
"source": {
"account_reference_id": "<string>",
"customer_reference_id": "<string>"
},
"destination": {
"account_reference_id": "<string>",
"customer_reference_id": "<string>"
}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/transfer-groups"
payload = {
"transfer_group_reference_id": "<string>",
"source": {
"account_reference_id": "<string>",
"customer_reference_id": "<string>"
},
"destination": {
"account_reference_id": "<string>",
"customer_reference_id": "<string>"
}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transfer_group_reference_id: '<string>',
source: {account_reference_id: '<string>', customer_reference_id: '<string>'},
destination: {account_reference_id: '<string>', customer_reference_id: '<string>'}
})
};
fetch('https://api-sandbox.orum.io/deliver/transfer-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfer_group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"transfer_group_reference_id": "<string>",
"source": {
"account_reference_id": "<string>",
"customer_reference_id": "<string>"
},
"destination": {
"account_reference_id": "<string>",
"customer_reference_id": "<string>"
}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Transfer Groups
Create Transfer Group
Create a Transfer Group object.
POST
/
deliver
/
transfer-groups
Create a Transfer Group
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Body
application/json
Unique reference id for the transfer group
Minimum string length:
1Information about the ultimate source of the transfer group.
Show child attributes
Show child attributes
Information about the ultimate destination of the transfer group.
Show child attributes
Show child attributes
Response
successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I